Subject: Re: bug#45327: [PATCH] git: Periodically delete least-recently-used cached checkouts.
From: Ludovic Courtès <[email-masked]>
To: zimoun <[email-masked]>
Cc: Guillaume Le Vaillant <[email-masked]>, [email-masked]
Date: Wed, 13 Jan 2021 16:47:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

zimoun <[email-masked]> skribis:

> On Thu, 7 Jan 2021 at 11:10, Ludovic Courtès <[email-masked]> wrote:
>
>>   • Increase the default expiration time to three months;
>
> That's long enough for my vacations. ;-)

Pffew.  :-)

Pushed as 87b0001325992db60fdf24ac09ce254cd003721c!

>> As zimoun proposed, I agree that we should make the expiration time
>> configurable.  I started doing that but that requires ‘string->duration’,
>> which is currently in (guix ui), and this code is supposed to be
>> “UI-free”.  So I’d first like to move this and similar tools to a new
>> (guix units) module…
>
> You mean 2 another patches are coming: one moving to the new (guix
> units) and then another one honoring GUIX_GIT_CACHE_EXPIRATION, right?

Yup!  (Not ETA though…)

Thanks,
Ludo’.